Subject: Re: [PATCH 0/3] test-suite fixes for upcoming curl 8.18.0

From: Junio C Hamano <[email-masked]>
Date: Sat, 20 Dec 2025 11:14:22 +0900

Jeff King <[email-masked]> writes:

> Thanks! I ran Git's test suite against a build using your 6c7bc9871f
> (http: fix for unfolding line starting with TAB, 2025-12-19) and it
> works without the whitespace-relaxing in my third patch.
>
> I also double-checked against the current tip of curl's master, which
> includes 3388afd2b6 (http: more unfold fixing, 2025-12-19), and
> everything remains fine. Thanks for a prompt fix.
>
>
> Junio: I think we could just drop the third patch here, if we don't mind
> test failures against an unreleased version of curl. It's in debian
> unstable now, but presumably they'll move to the released 8.18.0 once
> it's out.

I was wondering about the same thing after Daniel started working on
the fix upstream for #3; you caught the behaviour change before it
made to their officially released version, so we do not have to have
a workaround on our end.

Will drop the third patch.  Thanks.